Subject: Re: bug#58839: [Patch] Re: bug#58839: 29.0.50; project-kill-buffer fails when Eglot is running

From: Philip Kaludercic <[email-masked]>
Date: Tue, 01 Nov 2022 10:51:53 +0000

João Távora <[email-masked]> writes:

> In practice, I doubt many people are setting these variables.  A GitHub
> code search, where it is normally easy to find customizations of
> variables since users version their configurations there, turns up 0
> results for customizations of project-ignore-buffer-conditions and not
> more than a handful for project-kill-buffer-conditions, for example.  In
> contrast you can see hundreds of people setting things like
> eglot-autoshutdown or ibuffer-filter-groups (and settings of
> scroll-bar-mode are in the thousands).  So I'd say the risk is minimal
> and the benefit considerable.

If people are customising the variable everything is fine, the issue I
was thinking about were those who are relying on the default behaviour
that might change without them expecting it to.